HC Refrigerants
Showing 217–228 of 547 results
-
BSI Silver Series Dual Temperature Glass Door Laboratory Refrigerator/Freezer (-40°C) | 9.2 Cu. Ft.
Item #: BSI-HC-RFC1040G$5,422.00$3,795.40 VIEW PRODUCT -
BSI Dual Temperature Glass Door Pharmacy Vaccine Combo Refrigerator/Freezer (-20°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1020G$4,950.00$3,465.00 VIEW PRODUCT -
BSI Dual Temperature Glass Door Pharmacy Vaccine Combo Refrigerator/Freezer (-30°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1030G$4,326.00$3,028.20 VIEW PRODUCT -
BSI Silver Series Dual Temperature Glass Door Pharmacy Vaccine Combo Refrigerator/Freezer (-30°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1030G$5,264.00$3,684.80 VIEW PRODUCT -
BSI Silver Series Dual Temperature Glass Door Pharmacy Vaccine Combo Refrigerator/Freezer (-40°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1040G$5,694.00$3,985.80 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Laboratory Refrigerator & Freezer | 9.2 Cu. Ft.
Item #: BSI-HC-RFC1020$4,730.00$3,311.00 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Laboratory Refrigerator/Freezer (-40°C) | 9.2 Cu. Ft.
Item #: BSI-HC-RFC1040$5,472.00$3,830.40 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Pharmacy Vaccine Combo Refrigerator/Freezer (-20°C) | 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1020$5,040.00$3,528.00 VIEW PRODUCT -
BSI Silver Series Dual Temperature Solid Door Pharmacy Vaccine Combo Refrigerator/Freezer (-30°C)| 9.2 Cu. Ft.
Item #: PH-BSI-HC-RFC1030$5,352.00$3,746.40 VIEW PRODUCT -
Corepoint Scientific Temperature & Humidity Stability Chamber | Triple Glass Door | 72 Cu. Ft.
Item #: NSRI723WSG/0H$43,206.00$36,725.00 VIEW PRODUCT -
Corepoint Scientific Temperature & Humidity Stability Chamber | Triple Solid Door | 72 Cu. Ft.
Item #: NSRI723WSW/0H$43,206.00$36,725.00 VIEW PRODUCT -
Corepoint Scientific Temperature Test Chamber | Triple Glass Door | 72 Cu. Ft.
Item #: NSRI723WSG/0$28,238.00$24,002.00 VIEW PRODUCT











